export default [
  {
    item: { key: "code", title: "编码", width: "auto" },
    attr: {},
  },
  {
    item: { key: "name", title: "名称", width: "auto" },
    attr: {},
  },
  {
    item: { key: "specification", title: "规格", width: "auto" },
    attr: {},
  },
  {
    item: { key: "manufacturerIdName", title: "生产厂家", width: "auto" },
    attr: {},
  },
  {
    item: { key: "packExplain", title: "包装", width: "auto" },
    attr: {},
  },
  {
    item: { key: "model", title: "型号", width: "auto" },
    attr: {},
  },
  {
    item: { key: "unitIdName", title: "单位", width: "auto" },
    attr: {},
  },
  {
    item: { key: "registrationNo", title: "注册证号", width: "auto" },
    attr: {
      type:'ComputedInput',
      formatter: (prop) => {
        return prop.materialMedcine != null ? prop.materialMedcine.registrationNo : null;
      },
    },
  },
  {
    item: { key: "isMedicineYN", title: "医药物料", width: "auto" },
    attr: {
      type:'ComputedInput',
      formatter: (prop) => {
        return prop.isMedicine == "0" ? "Y" : "N";
      },
    },
  },
  {
    item: { key: "isDrug", title: "物料药品属性", width: "auto" },
    attr: {
      type:'ComputedInput',
      formatter: (prop) => {
        return prop.isDrug == "0" ? "Y" : "N";
      },
    },
  },
  {
    item: { key: "isDrugNumber", title: "药品", width: "auto" },
    attr: {
      type:'ComputedInput',
      formatter: (prop) => {
        return prop.materialMedcine != null ? prop.materialMedcine.isDrug : null;
      },
    },
  },
  // {
  //   item: {
  //     key: "oriRegistrationNo",
  //     title: "注册证号/备案凭证编号",
  //     width: "auto",
  //   },
  //   attr: {
  //     formatter: (prop) => {
  //       return prop.materialMedcine.oriRegistrationNo;
  //     },
  //   },
  // },
  {
    item: { key: "dosageFrom", title: "剂型", width: "auto" },
    attr: {
      type:'ComputedInput',
      formatter: (prop) => {
        return prop.materialMedcine != null ? prop.materialMedcine.dosageFrom : null;
      },
    },
  },
  {
    item: { key: "dosageFromName", title: "剂型名称", width: "auto" },
    attr: {
      type:'ComputedInput',
      formatter: (prop) => {
        return prop.materialMedcine != null ? prop.materialMedcine.dosageFromName : null;
      },
    },
  },
  {
    item: { key: "curingType", title: "养护类型", width: "auto" },
    attr: {
      type:'ComputedInput',
      formatter: (prop) => {
        return prop.materialMedcine != null ? prop.materialMedcine.curingType : null;
      },
    },
  },
  {
    item: { key: "medicalInstruments", title: "医疗器械", width: "auto" },
    attr: {
      type:'ComputedInput',
      formatter: (prop) => {
        return prop.materialMedcine != null ? prop.materialMedcine.medicalInstruments : null;
      },
    },
  },
  {
    item: { key: "ratifyBatchNo", title: "批准文号", width: "auto" },
    attr: {
      type:'ComputedInput',
      formatter: (prop) => {
        return prop.materialMedcine != null ? prop.materialMedcine.ratifyBatchNo : null;
      },
    },
  },
];
