export default function useColumns() {
  const DemandColumns = [
    {
      item: {
        key: "ways",
        title: "方案",
      },
      attr: {
        is: "el-select",
        dictName: "sys_plan_type",
        disabled: true,
      }
    },
    {
      item: {
        key: "category",
        title: "类型",
      },
      attr: {
        is: "el-select",
        dictName: "sys_plan_type",
        disabled: true,
      }
    },
    {
      item: {
        key: "deadline",
        title: "截止星期",
      },
      attr: {
        is: "el-input-number",
        clearable: true,
        min: 1,
        max: (prop) => {
          let { ways } = prop;
          return ways === 'ZJH' ? 7 : 12
        },
      }
    },
    {
      item: {
        key: "remark",
        title: "备注",
      },
      attr: {
        is: "el-input",
        clearable: true,
      }
    },
  ];

  return { DemandColumns }
}