export const TableColumns = [
  // {key:"pkOrg",title:"库存组织"},
  {key:"orgName",title:"库存组织", inputType:"Input", readonly:true,},
  {key:"vbillcode",title:"单据编码", inputType:"Input", readonly:true,},
  {key:"dbilldate",title:"单据日期", inputType:"DatePicker", disabled:true,valueFormat: "yyyy-MM-dd",},
  {key:"drpOrderCode",title:"drp订单编号", inputType:"Input", readonly:true,},
  {key:"cwarehouseName",title:"仓库", inputType:"Input", readonly:true,},
  {key:"billtypeName",title:"出入库类型", inputType:"Input", readonly:true,},
  {key:"cwhsmanagerName",title:"库管员", inputType:"Input", readonly:true,},
  {key:"cbizName",title:"采购员", inputType:"Input", readonly:true,},
  {key:"cdptName",title:"采购部门", inputType:"Input", readonly:true,},
  {key:"ntotalnum",title:"总数量", inputType:"Input", readonly:true,},
  {key:"freplenishflag",title:"退库", inputType:"Checkbox", width:80,  },
  {key:"vreturnreason",title:"退货原因", inputType:"Input", readonly:true,},
  {key:"syncSrm",title:"是否同步SRM", inputType:"Checkbox", width:80,disabled:true,},
  {
    key:"modeProcess",
    title:"处理方式", 
    inputType: "PopoverSelect",
    valueKey: "id",
    referName: "PROCESSTYPE_PARAM",
    dataMapping: {
      modeProcess: 'id',
      modeProcessName: 'name'
    },
     isShow:true,
    queryParams: () => ({}),
   },
  {key:"receivingContact",title:"收货联系人", inputType:"Input", readonly:true,},
  {key:"project",title:"项目", inputType:"Input", readonly:true,},
  {key:"goodsWarehouse",title:"收货仓库", inputType:"Input", readonly:true,},
  {key:"shippingAddress",title:"收货地址", inputType:"Input", readonly:true,},
  {key:"customerDept",title:"客户部门", inputType:"Input", readonly:true,},
  {key:"degreeEmergency",title:"紧急程度", inputType:"Checkbox", width:80, disabled:true,},
  {key:"agent",title:"代理人", inputType:"Input", readonly:true,},
  // {key:"agentName",title:"代理人"},
  {key:"billmaker",title:"制单人", inputType:"Input", readonly:true,},
  {key:"dmakedate",title:"制单日期", inputType:"DatePicker", disabled:true,valueFormat: "yyyy-MM-dd",},
  {key:"approver",title:"签字人", inputType:"Input", readonly:true,},
  {key:"taudittime",title:"签字日期", inputType:"DatePicker", disabled:true,valueFormat: "yyyy-MM-dd",},
  {key:"modifiedtime",title:"最后修改时间", inputType:"Input", disabled:true,},
  {key:"modifier",title:"最后修改人", inputType:"Input", readonly:true,},
  {key:"vnote",title:"备注", inputType:"Input", readonly:true,},
  
  
  // {key:"cdptvid",title:"采购部门"},
  // {key:"cbizid",title:"采购员"},
  // {key:"cwarehouseid",title:"仓库id"},
  // {key:"cwhsmanagerid",title:"库管员"},
  
];

// {key:"ncProcurementWarehouseDetailModels",title:"入库单明细"}
export const DetailColumns =[
  {key:"vsourceRowno",title:"行号", width:80, },
  {key:"vsourcebillCode",title:"单据号", },
  {key:"materialCode",title:"物料编码"},
  {key:"materialName",title:"物料名称"},
  {key:"materialSpec",title:"规格"},
  {key:"materialType",title:"型号"},
  {key:"unitName",title:"计量单位"},
  {key:"vchangerate",title:"换算率"},
  {key:"nshouldassistNum",title:"应收数量"},
  {key:"nshouldNum",title:"应收主数量"},
  {key:"nassistnum",title:"实收数量"},
  {key:"nnum",title:"实收主数量"},
  {key:"dbizdate",title:"入库日期"},
  {key:"flargess",title:"赠品", inputType:"Checkbox", width:80, },
  {key:"receivingCustomer",title:"收货客户"},
  {key:"udi",title:"UDI"},
  {key:"wmsRowNum",title:"WMS行号"},
  {key:"agent",title:"代理人"},
  {key:"vlotno",title:"批次号"},
  {key:"dprodate",title:"生产日期"},
  {key:"vinvalidDate",title:"有效期至"},
  {key:"registrationNum",title:"注册证号"},
  {key:"vapprovalNumber",title:"批准文号"},

];