import request from '@/utils/request'

// 列表
export function list(query) {
  return request({
    url: '/pu/ownershipCp/list',
    method: 'get',
    params: query
  })
}

// 详细
export function detail(id) {
  return request({
    url: '/pu/ownershipCp/' + id,
    method: 'get'
  })
}

// 新增
export function insert(data) {
  return request({
    url: '/pu/ownershipCp',
    method: 'post',
    data: data
  })
}

// 修改
export function update(data) {
  return request({
    url: '/pu/ownershipCp',
    method: 'put',
    data: data
  })
}

// 删除
export function del(id) {
  return request({
    url: '/pu/ownershipCp/' + id,
    method: 'delete'
  })
}

