// 生产厂家
export default [
  {
    item: { key: "code", title: "编码", width: "auto" },
    attr: {},
  },
  {
    item: { key: "name", title: "名称", width: "auto" },
    attr: {},
  },
  {
    item: { key: "registrantName", title: "注册人/上市许可持有人", width: "auto" },
    attr: {
      type:'ComputedInput',
      formatter: (prop) => {
        return prop.manufacturerOther != null ? prop.manufacturerOther.registrantName : null;
      },
    },
  },
  {
    item: { key: "productionLicense", title: "生产许可证号/备案凭证号", width: "auto" },
    attr: {
      type:'ComputedInput',
      formatter: (prop) => {
        return prop.manufacturerOther != null ? prop.manufacturerOther.productionLicense : null;
      },
    },
  },
  {
    item: { key: "brand", title: "品牌", width: "auto" },
    attr: {
      type:'ComputedInput',
      formatter: (prop) => {
        return prop.manufacturerOther != null ? prop.manufacturerOther.brand : null;
      },
    },
  },
  {
    item: { key: "countryName", title: "产地", width: "auto" },
    attr: {
      type:'ComputedInput',
      formatter: (prop) => {
        return prop.manufacturerOther != null ? prop.manufacturerOther.countryName : null;
      },
    },
  },
  {
    item: { key: "country", title: "产地ID", width: "auto" },
    attr: {
      type:'ComputedInput',
      formatter: (prop) => {
        return prop.manufacturerOther != null ? prop.manufacturerOther.country : null;
      },
    },
  },
];
